workspace "Template"
   configurations { "Debug", "Release" }
--ecc scripts from https://github.com/MattBystrin/premake-ecc
require ".ecc/ecc"

project "Template"
   kind "WindowedApp"
   language "C++"
   targetdir "_bin/%{cfg.buildcfg}"
   objdir "_obj/%{cfg.buildcfg}"
   cppdialect "C++20"

   files { "**.h", "**.cpp" }

   filter "configurations:Debug"
      defines { "DEBUG" }
      symbols "On"
      links { "SDL2", "SDL2_image", "SDL2_ttf" }
      --links { "SDL2", "SDL2_image", "GL", "GLEW", "SOIL", "fmod", "fmodstudio", "SDL2_ttf" }
      --linkoptions { "-fuse-ld=gold" } --other linker
      --set runpath to tell the generated executable where to find libraries:
      --https://amir.rachum.com/shared-libraries/#rpath-and-runpath
      --linkoptions { "-Wl,--enable-new-dtags,-rpath,'../External/FMOD/lib/x86_64'" }
      --libdirs { "../External/FMOD/lib/x86_64" }
      --includedirs { "../External/FMOD/inc" }

   filter "configurations:Release"
      defines { "NDEBUG" }
      optimize "On"
      links { "SDL2", "SDL2_image", "SDL2_ttf" }
      --postbuildcommands { "{COPY} %[Assets] %[%{!cfg.targetdir}]" }
      